# CPU type
set cpu_type TMS320C6410

# Flash support
set flash_types { 1 2 }

# target-side code of flash loader
set FlashLoadSuppCode $mypath/trgcode/flash64.out

# target is little endian
set TargetBigEndian 0

# PC register name
set pc_name PC

# base address of MCBSP0 in CPU's address space
set mcbsp0_base 0x018C0000

# base address of MCBSP1 in CPU's address space
set mcbsp1_base 0x01900000

# base address of MCBSP2 in CPU's address space
set mcbsp2_base 0x01A40000

# Word width (0 - 8 bit, 1 - 16, 2 - 32)
set word_width 0

# base address of EMIF control registers in CPU's address space
set emif_base  0x01800000
set emifb_base 0x01A80000
